From 1ca24db511efe76b3a7464bdca699584d9129463 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Thu, 20 Jun 2019 12:10:40 +0200
Subject: [PATCH] virt-manager: update to 2.2.0.

---
 srcpkgs/virt-manager/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/virt-manager/template b/srcpkgs/virt-manager/template
index a5875127538..5a72f5b8931 100644
--- a/srcpkgs/virt-manager/template
+++ b/srcpkgs/virt-manager/template
@@ -1,19 +1,21 @@
 # Template file for 'virt-manager'
 pkgname=virt-manager
-version=2.1.0
-revision=2
+version=2.2.0
+revision=1
 archs=noarch
 build_style=python3-module
-hostmakedepends="intltool python3-devel glib-devel gtk-update-icon-cache"
+hostmakedepends="intltool python3-devel glib-devel gtk-update-icon-cache
+ python3-gobject libosinfo libvirt-python3 libxml2-python3 python3-requests"
 depends="gnome-ssh-askpass openbsd-netcat yajl
  gir-freedesktop libvirt-glib spice-gtk gtk-vnc vte3
- dmidecode virt-manager-tools"
+ dmidecode virt-manager-tools>=${version}_${revision}
+ gtksourceview4"
 short_desc="User interface for managing virtual machines"
 maintainer="Andrea Brancaleoni <abc@pompel.me>"
 license="GPL-2.0-or-later"
 homepage="https://virt-manager.org"
 distfiles="https://virt-manager.org/download/sources/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=34ea069a6565f1f1860a0741e5a5029e8b45c779e81f16d27fb4d767fd4403d4
+checksum=e94b983de10371ca366828d8ae8d2cfb0d5aa8678eccc8476e7c542c9d600605
 
 post_install() {
 	rm $DESTDIR/usr/share/glib-2.0/schemas/gschemas.compiled \
@@ -39,7 +41,6 @@ virt-manager-tools_package() {
 		vmove usr/share/virt-manager/virt-convert
 		vmove usr/share/virt-manager/virt-install
 		vmove usr/share/virt-manager/virt-xml
-		vmove usr/share/virt-manager/virtcli
 		vmove usr/share/virt-manager/virtconv
 		vmove usr/share/virt-manager/virtinst
 	}
